/*
  GetChar.ino

  This sketch demonstrats how GetChar function works.

  This sketch sends the keys you pressed to the serial port.

  This sketch requires a resistive voltage divider keypad. This sketch
assumes that you use the 4X4 keypad or the 4X5 keypad that are
introduced at the following web pages:

  http://www3.big.or.jp/~schaft/hardware/product/keypad4X4/page001.html (4X4)
  http://www3.big.or.jp/~schaft/hardware/product/keypad4X5/page001.html (4X5)

  This example code is in the public domain.
*/

// include library codes
#include <ResKeypad.h> // library for keypad

// variables
int ain=A4;

ResKeypad keypad(ain,16,RESKEYPAD_4X4,RESKEYPAD_4X4_SIDE_A); // enable this line if SIDE A of 4X4 keypad is used
//ResKeypad keypad(ain,16,RESKEYPAD_4X4,RESKEYPAD_4X4_SIDE_B); // enable this line if SIDE B of 4X4 keypad is used
//PROGMEM const char RESKEYPAD_4X5_CHAR[20] = {'0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F','G','H','I','J'}; // enable this line and modify it to suit your project if 4X5 keypad is used
//ResKeypad keypad(ain,20,RESKEYPAD_4X5,RESKEYPAD_4X5_CHAR); // enable this line if 4X5 keypad is used

// functions
void setup()
{
  Serial.begin(9600); // initialize serial port at 9600bps.
  while(!Serial); // wait for serial port to connect.
  Serial.println("Press keys.");
} // setup

void loop()
{
  char c;

  c=keypad.GetChar();
  if(c!='\0') {
    Serial.print(c); // send the character for the key you pressed
  } // if
} // loop
