/*
  WaitForKey.ino

  This sketch demonstrats how WaitForKey function works.

  This sketch sends the keys you pressed to the serial port.

  This sketch requires a resistive voltage divider keypad. This sketch
assumes that you use the 4X4 keypad or the 4X5 keypad that are
introduced at the following web pages:

  http://www3.big.or.jp/~schaft/hardware/product/keypad4X4/page001.html (4X4)
  http://www3.big.or.jp/~schaft/hardware/product/keypad4X5/page001.html (4X5)

  This example code is in the public domain.
*/

// include library codes
#include <ResKeypad.h> // library for keypad

// variables
int ain=A4;

ResKeypad keypad(ain,16,RESKEYPAD_4X4); // enable this line if 4X4 keypad is used
//ResKeypad keypad(ain,20,RESKEYPAD_4X5); // enable this line if 4X5 keypad is used

// functions
void setup()
{
  Serial.begin(9600); // initialize serial port at 9600bps.
  while(!Serial); // wait for serial port to connect.
  Serial.println("Press keys.");
} // setup

void loop()
{
  signed char key;

  key=keypad.WaitForKey();
  Serial.print("SW");
  Serial.println(key+1);
} // loop
